Bug 1008468 - RFE: Expose test case runs stats via XMLRPC and optimize it
RFE: Expose test case runs stats via XMLRPC and optimize it
Status: NEW
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
Devel
Unspecified Unspecified
high Severity high
: ---
: 3.9.0
Assigned To: Yang Ren
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 08:37 EDT by Alexander Todorov
Modified: 2015-12-01 00:45 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.9.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-09-16 08:37:32 EDT
Description of problem:

Currently there is no way for the client tools to access information about test case runs counts for a specific test run, e.g. 5 PASSED, 3 FAILED, etc, other than iterating over all CaseRun objects and count based on their status. 

This is taking too long for me, I have nearly 1000 case runs (and growing) and trying to extract some stats out of it. 


On the server side there is tcms.core.utils.counter.CaseRunStatusCounter class which also appears to be counting by iterating over all objects. This is not optimal. Please improve it and export the new improved method to the XMLRPC client.
Comment 1 Alexander Todorov 2013-09-27 07:35:42 EDT
Hi any update here? 

I've executed my stats script against RHEL 5.10 test plans and for about 10K test case runs it takes around 3hrs to complete.

Note You need to log in before you can comment on or make changes to this bug.